Create campaign

View as Markdown

Create a new campaign that ties an agent to a schedule, rate, and retry policy.

The campaign will be created in scheduled status. It starts automatically when start_timestamp is reached.

Path parameters

org_idstringRequired
workspace_idstringRequired

Request

This endpoint expects an object.
namestringRequired
app_configobjectRequired
Agent configuration for the campaign
start_timestampdatetimeRequired

Campaign start time (ISO 8601)

end_timestampdatetimeRequired

Campaign end time (ISO 8601)

allowed_scheduleobjectRequired
Schedule constraints for when the campaign can run
descriptionstring or nullOptional<=150 characters
Optional campaign description. Max 150 characters.

Response

Successful Response
namestring
Name of the resource
campaign_idstring
Unique identifier for the campaign
statusenum
Current status
app_idstring
ID of the agent
created_bystring
User who created this resource
created_atdatetime

Timestamp when the resource was created (ISO 8601)

updated_atdatetime

Timestamp when the resource was last updated (ISO 8601)

descriptionstring or null
Optional description
app_typeenum
Type of agent
app_versioninteger or null
Version of the agent to use
updated_bystring or null
User who last updated this resource

Errors

422
Unprocessable Entity Error